Name:           kata-image
Version:        1.5.4
Release:        1%{?dist}
License:        Oracle Linux License Agreement
Vendor:		    Oracle America
Summary:        Oracle Linux image for Kata containers
Group:          image
Source0:        %{name}-%{version}.tar.bz2
Source2:	EULA

BuildRequires: golang >= 1.10
BuildRequires: qemu-img
BuildRequires: parted
BuildRequires: e2fsprogs
BuildRequires: util-linux

%description
Kata Containers Image based upon Oracle Linux

%prep
%setup -q

%build
export VERSION=%{version}
export RELEASE=%{release}
sh build_kata_image 

%install
ImageDir=%{buildroot}/usr/share/kata-containers
mkdir -p ${ImageDir}
install -p kata-containers.img ${ImageDir}/kata-containers-%{version}.img
install -p kata-containers-initrd.img ${ImageDir}/kata-containers-initrd-%{version}.img
ln -sf kata-containers-%{version}.img ${ImageDir}/kata-containers.img
ln -sf kata-containers-initrd-%{version}.img ${ImageDir}/kata-containers-initrd.img

# Deliver the License
mkdir -p %{buildroot}/usr/share/doc/%{name}-%{version}
install -p LICENSE %{buildroot}/usr/share/doc/%{name}-%{version}/EULA

%files
%dir /usr/share/kata-containers
/usr/share/kata-containers/kata-containers-%{version}.img
/usr/share/kata-containers/kata-containers-initrd-%{version}.img
/usr/share/kata-containers/kata-containers.img
/usr/share/kata-containers/kata-containers-initrd.img
%doc /usr/share/doc/%{name}-%{version}/EULA

%changelog
* Mon May 20 2019 Dan Krasinski <daniel.krasinski@oracle.com> - 1.5.4-1
- Initial Version, using kata-agent 1.5.4-1 and kata-osbuilder 1.3.1
